SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   SHOUTcast Vendors:   Nullsoft
(Gentoo Issues Fix) SHOUTcast Format String Flaw Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1012787
SecurityTracker URL:  http://securitytracker.com/id/1012787
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jan 6 2005
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.9.4, possibly earlier versions
Description:   A format string vulnerability was reported in SHOUTcast. A remote user can execute arbitrary code on the target system.

Damian Put reported that a remote user can supply a specially crafted request to the target server containing format string characters to cause the target service to crash or execute arbitrary code.

A demonstration exploit to cause the target service to crash is provided:

http://[target]:8000/content/%n.mp3

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   Gentoo has released a fix and indicates that all Shoutcast Server users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=media-sound/shoutcast-server-bin-1.9.5"

Vendor URL:  www.shoutcast.com/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Gentoo)

Message History:   This archive entry is a follow-up to the message listed below.
Dec 24 2004 SHOUTcast Format String Flaw Lets Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [gentoo-announce] [ GLSA 200501-04 ] Shoutcast Server: Remote code execution



--zhXaljGHf11kAtnf
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 200501-04
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                            http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: Shoutcast Server: Remote code execution
      Date: January 05, 2005
      Bugs: #75482
        ID: 200501-04

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Shoutcast Server contains a possible buffer overflow that could lead to
the execution of arbitrary code.

Background
==========

Shoutcast Server is Nullsoft's streaming audio server. It runs on a
variety of platforms, including Linux, and is extremely popular with
Internet broadcasters.

Affected packages
=================

    -------------------------------------------------------------------
     Package                           /   Vulnerable   /   Unaffected
    -------------------------------------------------------------------
  1  media-sound/shoutcast-server-bin      <= 1.9.4-r1        >= 1.9.5

Description
===========

Part of the Shoutcast Server Linux binary has been found to improperly
handle sprintf() parsing.

Impact
======

A malicious attacker could send a formatted URL request to the
Shoutcast Server. This formatted URL would cause either the server
process to crash, or the execution of arbitrary code.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Shoutcast Server users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=media-sound/shoutcast-server-bin-1.9.5"

References
==========

  [ 1 ] BugTraq Announcement
        http://www.securityfocus.com/archive/1/385350

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

  http://security.gentoo.org/glsa/glsa-200501-04.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2004 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.0

--zhXaljGHf11kAtnf
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (GNU/Linux)

iD8DBQFB3AdCRsm3eDkOu7kRAm6jAJ0YphcBrUajYbfS8kzo58nPHLq7lgCfd/p0
evg/3AjeWBTwjwF6DbZkKsA=
=rFoB
-----END PGP SIGNATURE-----

--zhXaljGHf11kAtnf--

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC